package db

import (
	"applet/app/db/model"
	"applet/app/utils/logx"

	"xorm.io/xorm"
)

//UserTagDeleteByUserDelete is 删除用户时删除用户标签
func UserTagDeleteByUserDelete(Db *xorm.Engine, uid interface{}) (int64, error) {
	return Db.Where("uid = ?", uid).Delete(model.UserTag{})
}

func UserTagsByUid(Db *xorm.Engine, uid interface{}) ([]string, error) {
	var tagList []*model.UserTag
	if err := Db.Where("uid=?", uid).Cols("tag_name").Find(&tagList); err != nil {
		return nil, logx.Warn(err)
	}
	var tags []string
	for _, item := range tagList {
		tags = append(tags, item.TagName)
	}
	return tags, nil
}
