package model

type TKBrand struct {
	BrandId       int    `json:"brandId" xorm:"not null pk autoincr comment('品牌id') INT(10)"`                      //品牌ID
	BrandName     string `json:"brandName" xorm:"not null default '' comment('品牌名称') VARCHAR(64)"`                 //品牌名称
	BrandLogo     string `json:"brandLogo" xorm:"not null default '' comment('品牌logo') VARCHAR(255)"`              //品牌logo
	BrandEnglish  string `json:"brandEnglish" xorm:"not null default '' comment('品牌英文名称') VARCHAR(255)"`           //品牌英文名称
	Name          string `json:"name" xorm:"not null default '' comment('官方旗舰店旗舰店铺名称') VARCHAR(255)"`              //官方旗舰店旗舰店铺名称
	SellerId      string `json:"sellerId" xorm:"not null default '' comment('店铺ID') VARCHAR(255)"`                 //店铺ID
	BrandScore    int    `json:"brandScore" xorm:"not null default '' comment('店铺评分') INT(10)"`                    //店铺评分
	Location      string `json:"location" xorm:"not null default '' comment('发源地') VARCHAR(255)"`                  //发源地
	EstablishTime string `json:"establishTime" xorm:"not null default '' comment('创立时间') VARCHAR(255)"`            //创立时间
	BelongTo      string `json:"belongTo" xorm:"not null default '' comment('所属公司') VARCHAR(255)"`                 //所属公司
	Position      string `json:"position" xorm:"not null default '' comment('品牌定位：1. 奢侈 2.轻奢 3.大众') VARCHAR(255)"` //品牌定位：1. 奢侈 2.轻奢 3.大众
	Consumer      string `json:"consumer" xorm:"not null default '' comment('品牌定位：1. 奢侈 2.轻奢 3.大众') VARCHAR(255)"` //消费群体
	Label         string `json:"Label" xorm:"not null default '' comment('标签') VARCHAR(255)"`                      //标签
	SimpleLabel   string `json:"simpleLabel" xorm:"not null default '' comment('一句话评价') VARCHAR(255)"`             //一句话评价
	Cids          string `json:"cids" xorm:"not null default '' comment('主营类目（可能有多个主营类目，用逗号隔开）') VARCHAR(255)"`    //主营类目（可能有多个主营类目，用逗号隔开）
	BrandDesc     string `json:"brandDesc" xorm:"not null default '' comment('品牌介绍') VARCHAR(255)"`                //品牌介绍 （2020.10.30更新字段）
	FansNum       int    `json:"fansNum" xorm:"not null default '' comment('粉丝数') INT(10)"`                        //粉丝数 （2020.10.30更新字段）
	Sales2h       int    `json:"sales2h" xorm:"not null default '' comment('近期销量') INT(10)"`                       //近期销量 （2020.10.30更新字段）
}
