package model

import (
	"time"
)

type AdmList struct {
	AdmId         int       `json:"adm_id" xorm:"not null pk autoincr INT(10)"`
	AdmName       string    `json:"adm_name" xorm:"not null default '' comment('管理员名称') VARCHAR(64)"`
	AdmPsw        string    `json:"adm_psw" xorm:"not null default '' comment('密码') CHAR(32)"`
	Phone         string    `json:"phone" xorm:"not null default '' comment('手机号') VARCHAR(16)"`
	RoleId        int       `json:"role_id" xorm:"not null default 0 comment('0为超管,其它请参照角色表') TINYINT(3)"`
	State         int       `json:"state" xorm:"not null default 1 comment('0关闭,1启用') TINYINT(1)"`
	Ip            string    `json:"ip" xorm:"not null default '' comment('最后登陆IP,如果与当前IP不一致,请强退') VARCHAR(15)"`
	Token         string    `json:"token" xorm:"not null default '' comment('最后登陆token') unique CHAR(40)"`
	Memo          string    `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(200)"`
	CreateAt      time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
	LatestLoginAt int       `json:"latest_login_at" xorm:"not null default 0 comment('最新登陆时间,时间戳') INT(10)"`
}
