package model

import (
	"time"
)

type AdmOpLog struct {
	Id       int64     `json:"id" xorm:"pk autoincr BIGINT(20)"`
	AdmId    int       `json:"adm_id" xorm:"not null pk default 0 comment('管理员ID') INT(11)"`
	Uid      int       `json:"uid" xorm:"not null default 0 comment('被操作人UID,如非操作用户信息,默认为0') INT(11)"`
	Perm     string    `json:"perm" xorm:"not null default '' comment('操作权限,敏感模块权限') VARCHAR(128)"`
	Memo     string    `json:"memo" xorm:"not null default '' comment('操作描述') VARCHAR(512)"`
	Ip       string    `json:"ip" xorm:"not null default '' comment('操作IP') VARCHAR(15)"`
	State    int       `json:"state" xorm:"not null default 1 comment('操作结果1成功,0失败') TINYINT(1)"`
	CreateAt time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
}