package model

import (
	"time"
)

type AdmRole struct {
	RoleId   int       `json:"role_id" xorm:"not null pk comment('角色ID') INT(10)"`
	RoleName string    `json:"role_name" xorm:"not null default '' comment('角色名称') VARCHAR(64)"`
	Perms    string    `json:"perms" xorm:"comment('权限列表') TEXT"`
	IsSuper  int       `json:"is_super" xorm:"not null default 0 comment('是否超管') TINYINT(1)"`
	State    int       `json:"state" xorm:"not null default 1 comment('0禁用,1启用') TINYINT(1)"`
	Memo     string    `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(500)"`
	CreateAt time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
	UpdateAt time.Time `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') TIMESTAMP"`
}
