package model

type FinUserLog struct {
	Id            int64   `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid           int     `json:"uid" xorm:"not null comment('用户ID') INT(10)"`
	Type          int     `json:"type" xorm:"not null default 0 comment('0余额,1积分') TINYINT(1)"`
	FromType      int     `json:"from_type" xorm:"not null default 0 comment('来源类型：1，导购订单结算；2，拉新奖励；3，管理调整') TINYINT(3)"`
	ValidBefore   float32 `json:"valid_before" xorm:"not null default 0.0000 comment('之前可用余额') FLOAT(10,4)"`
	ValidAfter    float32 `json:"valid_after" xorm:"not null default 0.0000 comment('之后可用余额') FLOAT(10,4)"`
	ValidAlter    float32 `json:"valid_alter" xorm:"not null default 0.0000 comment('变更金额') FLOAT(10,4)"`
	InvalidBefore float32 `json:"invalid_before" xorm:"not null default 0.0000 comment('之前冻结余额') FLOAT(10,4)"`
	InvalidAfter  float32 `json:"invalid_after" xorm:"not null default 0.0000 comment('之后冻结余额') FLOAT(10,4)"`
	InvalidAlter  float32 `json:"invalid_alter" xorm:"not null default 0.0000 comment('变更金额') FLOAT(10,4)"`
	SysCommission float32 `json:"sys_commission" xorm:"not null default 0.000000 comment('平台抽取手续费') FLOAT(12,6)"`
	Oid           string  `json:"oid" xorm:"not null default '' comment('关联订单ID') VARCHAR(50)"`
	Action        string  `json:"action" xorm:"not null default '' comment('操作行为,如:withdraw提现') VARCHAR(20)"`
	Memo          string  `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(80)"`
	CreateAt      int     `json:"create_at" xorm:"not null default 0 comment('创建时间') INT(10)"`
}
