package model

import "time"

//产品发布表
type GuideGoods struct {
	Id             int64     `json:"id" xorm:"pk autoincr BIGINT(20)"`
	GoodsUrl       string    `json:"goodsUrl" xorm:"not null comment('传进来的商品链接') VARCHAR(50)"`
	ItemUrl        string    `json:"itemUrl" xorm:"not null default 0 comment('搜索出来的商品链接') VARCHAR(50)"`
	GoodsId        string    `json:"goodsId" xorm:"not null default 0 comment('商品id') VARCHAR(50)"`
	Provider       string    `json:"provider" xorm:"not null default 0 comment('渠道key') VARCHAR(50)"`
	ProviderName   string    `json:"providerName" xorm:"not null default 0.0000 comment('渠道') VARCHAR(50)"`
	ProviderImg    string    `json:"providerImg" xorm:"not null default 0 comment('渠道图片') VARCHAR(50)"`
	ProviderImgUrl string    `json:"providerImgUrl" xorm:"not null default 0 comment('渠道图片Url') VARCHAR(50)"`
	GoodsTitle     string    `json:"goodsTitle" xorm:"not null default 0.0000 comment('商品标题') VARCHAR(50)"`
	GoodsPrice     string    `json:"goodsPrice" xorm:"not null default 1 comment('商品原价') VARCHAR(50)"`
	WlGoodsPrice   string    `json:"wlGoodsPrice" xorm:"not null default 1 comment('商品卷后价') VARCHAR(50)"`
	CouponPrice    string    `json:"couponPrice" xorm:"not null default 1 comment('优惠劵金额') VARCHAR(50)"`
	CouponUrl      string    `json:"couponUrl" xorm:"not null default 1 comment('优惠劵Url') VARCHAR(50)"`
	Category       string    `json:"category" xorm:"not null default 1 comment('分类') VARCHAR(50)"`
	CategoryName   string    `json:"categoryName" xorm:"not null default 1 comment('分类名') VARCHAR(50)"`
	InOrderCount   string    `json:"inOrderCount" xorm:"not null default 1 comment('销量') VARCHAR(50)"`
	GoodsDesc      string    `json:"goodsDesc" xorm:"not null default 0.0000 comment('商品描述') VARCHAR(50)"`
	GoodsContent   string    `json:"goodsContent" xorm:"not null default 0.0000 comment('商品文案（以json存）') VARCHAR(50)"`
	GoodsImg       string    `json:"goodsImg" xorm:"not null default 0.0000 comment('商品主图') VARCHAR(50)"`
	GoodsImgUrl    string    `json:"goodsImgUrl" xorm:"not null default 0.0000 comment('商品主图URL') VARCHAR(50)"`
	GoodsImgList   string    `json:"goodsImgList" xorm:"not null default 0.0000 comment('商品图片组（以json存）') VARCHAR(50)"`
	VideoUrl       string    `json:"videoUrl" xorm:"not null default 0.0000 comment('商品视频URL') VARCHAR(50)"`
	IsPutOn        string    `json:"isPutOn" xorm:"not null default 0 comment('是否上架；0：否；1：是') VARCHAR(50)"`
	PutOnAt        time.Time `json:"putOnAt"xorm:"not null default 0 comment('创建时间') datetime"`
	PutDownAt      time.Time `json:"putDownAt"xorm:"not null default 0 comment('创建时间') datetime"`
	CreateAt       time.Time `xorm:"not null default 0 comment('创建时间') datetime"`
	UpdateAt       time.Time `xorm:"not null default 0 comment('更新时间') datetime"`
}

//产品发布app端数据
type GuideGoodsApp struct {
	Id             string `json:"id"`
	GoodsUrl       string `json:"goods_url"`
	ItemURL        string `json:"item_url"`
	GoodsId        string `json:"goods_id"`
	Provider       string `json:"provider"`
	ProviderName   string `json:"provider_name"`
	ProviderImg    string `json:"provider_img"`
	ProviderImgUrl string `json:"provider_img_url"`
	GoodsTitle     string `json:"goods_title"`
	GoodsPrice     string `json:"goods_price"`
	WlGoodsPrice   string `json:"wl_goods_price"`
	CouponPrice    string `json:"coupon_price"`
	CouponURL      string `json:"coupon_url"`
	Category       string `json:"category"`
	CategoryName   string `json:"category_name"`
	InOrderCount   string `json:"in_order_count"`
	GoodsDesc      string `json:"goods_desc"`
	GoodsContent   string `json:"goods_content"`
	GoodsImg       string `json:"goods_img"`
	GoodsImgUrl    string `json:"goods_img_url"`
	GoodsImgList   string `json:"goods_img_list"`
	VideoUrl       string `json:"video_url"`
	StateInfo      string `json:"state_info"`
	IsPutOn        string `json:"is_put_on"`
	PutOnAt        string `json:"put_on_at"`
	PutDownAt      string `json:"put_down_at"`
	Commission     string `json:"commission"`  //反的价钱
	ShareValue     string `json:"share_value"` //分享赚
	SlefBuy        string `json:"slef_buy"`    //自购赚
}
