package model

import "time"

//激励广告表
type IncentiveAd struct {
	Id             int64     `json:"id" xorm:"pk autoincr BIGINT(20)"`
	AdName         string    `json:"ad_name" xorm:"not null comment('广告名称（唯一）') VARCHAR(50)"`
	SdkType        string    `json:"sdk_type" xorm:"not null default 0 comment('平台：1，优量汇；2，快手联盟；3，穿山甲') VARCHAR(50)"`
	AndroidMediaId string    `json:"android_media_id" xorm:"not null default 0 comment('安卓媒体id') VARCHAR(50)"`
	IosMediaId     string    `json:"ios_media_id" xorm:"not null default 0.0000 comment('ios媒体id') VARCHAR(50)"`
	AndroidAdId    string    `json:"android_ad_id" xorm:"not null default 0.0000 comment('安卓广告id') VARCHAR(50)"`
	IosAdId        string    `json:"ios_ad_id" xorm:"not null default 0.0000 comment('ios广告id') VARCHAR(50)"`
	Conditions     int       `json:"conditions" xorm:"not null default 1 comment('是否开启条件限制(0否，1是)') TINYINT(1)"`
	Autoplay       int       `json:"autoplay" xorm:"not null default 1 comment('是否自动播放(0否，1是)') TINYINT(1)"`
	AutoClickAd    int       `json:"auto_click_ad" xorm:"not null default 1 comment('是否自动点击广告(0否，1是)') TINYINT(1)"`
	LevelLimitId   int       `json:"level_limit_id" xorm:"comment('等级id') INT(11)"`
	LevelLimitName string    `json:"level_limit_name" xorm:"comment('等级名称') VARCHAR(50)"`
	LevelWeight    int       `json:"level_weight" xorm:" comment('等级权重') INT(11)"`
	CreateAt       time.Time `xorm:"not null default 0 comment('创建时间') datetime"`
	UpdateAt       time.Time `xorm:"not null default 0 comment('更新时间') datetime"`
	VisitCount     int       `json:"visit_count" xorm:" default 0 comment('可观看次数') INT(11)"`
}
