package model

type OrdListHis struct {
	OrdId                     int64  `json:"ord_id" xorm:"not null pk autoincr comment('本系统订单ID') BIGINT(20)"`
	Uid                       int    `json:"uid" xorm:"not null comment('用户id') index INT(11)"`
	ProviderOid               string `json:"provider_oid" xorm:"not null comment('供应商订单订单号') VARCHAR(50)"`
	SkuId                     string `json:"sku_id" xorm:"not null default '' comment('商品SKU') VARCHAR(50)"`
	ItemId                    string `json:"item_id" xorm:"not null comment('商品ID') VARCHAR(50)"`
	ItemPrice                 string `json:"item_price" xorm:"not null default 0.00 comment('商品单价') DECIMAL(10,2)"`
	Provider                  string `json:"provider" xorm:"not null default '' comment('供应商taobao,jd,pdd,vip,suning,kaola') VARCHAR(16)"`
	PaidPrice                 string `json:"paid_price" xorm:"not null default 0.00 comment('付款金额') DECIMAL(10,2)"`
	OrderType                 int    `json:"order_type" xorm:"not null default 0 comment('0自购,1分享订单,粉丝订单') TINYINT(1)"`
	BuyerId                   int    `json:"buyer_id" xorm:"not null default 0 comment('0分享订单,其它自购或粉丝') INT(11)"`
	UpdateFrom                int    `json:"update_from" xorm:"not null default 0 comment('订单更新来源,0.API,1.导入,2.后台操作') TINYINT(1)"`
	UserCommission            string `json:"user_commission" xorm:"not null default 0.000 comment('用户佣金') DECIMAL(10,3)"`
	UserCommissionRate        string `json:"user_commission_rate" xorm:"not null default 0.0000 comment('用户佣金比例,如10.05%就是0.1005') DECIMAL(6,4)"`
	ProviderAllCommission     string `json:"provider_all_commission" xorm:"not null default 0.000 comment('联盟返佣总额') DECIMAL(10,3)"`
	ProviderAllCommissionRate string `json:"provider_all_commission_rate" xorm:"not null default 0.0000 comment('联盟返佣比例') DECIMAL(6,4)"`
	PlanCommissionId          int    `json:"plan_commission_id" xorm:"not null default 0 comment('分佣方案') INT(10)"`
	PlanSettleId              int    `json:"plan_settle_id" xorm:"not null default 0 comment('结算方案') INT(10)"`
	SettleState               int    `json:"settle_state" xorm:"not null default 0 comment('用户结算状态,0未结算,1已结算') TINYINT(1)"`
	Reason                    string `json:"reason" xorm:"not null default '' comment('失效原因') VARCHAR(32)"`
	State                     int    `json:"state" xorm:"not null default 0 comment('0已付款,1已收货,2成功,3失效') TINYINT(1)"`
	CreateAt                  int    `json:"create_at" xorm:"not null default 0 comment('创建时间') INT(10)"`
	UpdateAt                  int    `json:"update_at" xorm:"not null default 0 comment('更新时间') INT(10)"`
	ConfirmAt                 int    `json:"confirm_at" xorm:"not null default 0 comment('确认收货时间') INT(10)"`
	ProviderSettleAt          int    `json:"provider_settle_at" xorm:"not null default 0 comment('供应商结算时间') INT(10)"`
	SettleAt                  int    `json:"settle_at" xorm:"not null default 0 comment('用户分佣结算时间') INT(10)"`
}
