package model

type PrivilegeCardGoods struct {
	Id            int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	ZhimengId     int    `json:"zhimeng_id" xorm:"not null default 0 comment('智盟ID') INT(11)"`
	ThirdId       int    `json:"third_id" xorm:"not null default 0 comment('三方平台ID') INT(11)"`
	Name          string `json:"name" xorm:"not null default '' comment('商品名称') VARCHAR(255)"`
	GoodsImg      string `json:"goods_img" xorm:"not null default '' comment('商品图片') VARCHAR(255)"`
	BrandId       int    `json:"brand_id" xorm:"not null default 0 comment('品牌ID') INT(11)"`
	Times         string `json:"times" xorm:"not null default '' comment('时长') VARCHAR(255)"`
	CateId        int    `json:"cate_id" xorm:"not null default 0 comment('商品分类ID') INT(11)"`
	MarkupMode    int    `json:"markup_mode" xorm:"not null default 0 comment('加价模式 0为利润空间1为进货价') TINYINT(1)"`
	MarkupRate    int    `json:"markup_rate" xorm:"not null default 0 comment('加价比例') INT(3)"`
	OfficialPrice string `json:"official_price" xorm:"not null default 0.00 comment('原价') DECIMAL(10,2)"`
	PlatformPrice string `json:"platform_price" xorm:"not null default 0.00 comment('进货价') DECIMAL(10,2)"`
	FinalPrice    string `json:"final_price" xorm:"not null default 0.00 comment('销售价') DECIMAL(10,2)"`
	Type          string `json:"type" xorm:"not null default '' comment('类型') VARCHAR(255)"`
	TypeId        string `json:"type_id" xorm:"not null default '' comment('类型id') VARCHAR(255)"`
	IsShow        int    `json:"is_show" xorm:"not null default 1 comment('是否显示') TINYINT(1)"`
	Sort          int    `json:"sort" xorm:"default 0 comment('排序') INT(11)"`
	CreatedAt     int    `json:"created_at" xorm:"not null default 0 INT(11)"`
	UpdatedAt     int    `json:"updated_at" xorm:"not null default 0 INT(11)"`
	DeletedAt     int    `json:"deleted_at" xorm:"not null default 0 INT(11)"`
}
