package model

import (
	"time"
)

type PrivilegeCardNum struct {
	Id            int64     `json:"id" xorm:"pk autoincr comment('主键') BIGINT(11)"`
	CardNum       string    `json:"card_num" xorm:"not null default '' comment('卡号') index VARCHAR(255)"`
	CardKey       string    `json:"card_key" xorm:"not null default '' comment('激活码') index VARCHAR(255)"`
	Uid           int       `json:"uid" xorm:"comment('绑定用户') index INT(11)"`
	Phone         string    `json:"phone" xorm:"not null default '' comment('用户手机号') VARCHAR(255)"`
	ParentUid     int       `json:"parent_uid" xorm:"not null default 0 comment('推荐人') index INT(11)"`
	CardType      int       `json:"card_type" xorm:"not null default 1 comment('1实体卡 2虚拟卡') TINYINT(1)"`
	Theme         string    `json:"theme" xorm:"not null default '' comment('主题描述') VARCHAR(255)"`
	FromType      int       `json:"from_type" xorm:"not null default 0 comment('来源：0用户购买 1后台操作 2 导入') TINYINT(1)"`
	Status        int       `json:"status" xorm:"not null default 0 comment('状态：0未激活 1激活') TINYINT(1)"`
	GivenData     string    `json:"given_data" xorm:"comment('赠送权益数据') TEXT"`
	ValidDateType int       `json:"valid_date_type" xorm:"not null default 0 comment('1月度 2季度 3年度 4永久 5自定义（天数）') TINYINT(1)"`
	CustomDay     int       `json:"custom_day" xorm:"not null default 0 comment('自定义天数') INT(11)"`
	ExpireTime    time.Time `json:"expire_time" xorm:"not null default '0000-00-00 00:00:00' comment('过期时间 2099-12-31 23:59:59表示永久') DATETIME"`
	CreateTime    time.Time `json:"create_time" xorm:"created not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateTime    time.Time `json:"update_time" xorm:"updated not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
