package model

import (
	"time"
)

type PrivilegeOpenCardOrd struct {
	OrdId           int64     `json:"ord_id" xorm:"not null pk comment('系统订单号') BIGINT(20)"`
	Uid             int       `json:"uid" xorm:"not null comment('购买人id') INT(11)"`
	DateType        int       `json:"date_type" xorm:"not null default 1 comment('日期类型： 1月 2季 3年 4永久') TINYINT(1)"`
	CardType        int       `json:"card_type" xorm:"not null default 1 comment('权益卡类型：1实体卡 2虚拟卡') TINYINT(1)"`
	Address         string    `json:"address" xorm:"comment('收货地址') TEXT"`
	Receiver        string    `json:"receiver" xorm:"comment('收货人') VARCHAR(255)"`
	Phone           string    `json:"phone" xorm:"comment('收货人手机号') VARCHAR(20)"`
	CostPrice       string    `json:"cost_price" xorm:"not null default 0.0000 comment('支付金额') DECIMAL(10,4)"`
	LogisticNum     string    `json:"logistic_num" xorm:"comment('物流单号') VARCHAR(255)"`
	State           int       `json:"state" xorm:"not null default 0 comment('0未支付 1已支付 2印刷中 3已发货 4已完成 5售后中 6关闭') TINYINT(1)"`
	LogisticCompany string    `json:"logistic_company" xorm:"comment('物流公司') VARCHAR(255)"`
	CardNum         string    `json:"card_num" xorm:"comment('卡号') VARCHAR(255)"`
	CardKey         string    `json:"card_key" xorm:"comment('卡密') VARCHAR(255)"`
	AfterSaleId     int64     `json:"after_sale_id" xorm:"comment('售后单号') BIGINT(20)"`
	PayTime         time.Time `json:"pay_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('支付时间') DATETIME"`
	CreateTime      time.Time `json:"create_time" xorm:"created not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateTime      time.Time `json:"update_time" xorm:"updated not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
	GivenData       string    `json:"given_data" xorm:"comment('赠送设置') TEXT"`
	PayChannel      int       `json:"pay_channel" xorm:"not null comment('支付方式：1balance 2alipay 3wx_pay') TINYINT(1)"`
	SettleAt        int       `json:"settle_at" xorm:"default 0 comment('返现时间') INT(11)"`
}
