package model

import (
	"time"
)

type Product struct {
	Id       int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid      int       `json:"uid" xorm:"not null default 0 INT(11)"`
	Name     string    `json:"name" xorm:"not null default '' comment('产品库名称') VARCHAR(64)"`
	Pvd      string    `json:"pvd" xorm:"not null default '' comment('平台') VARCHAR(12)"`
	Source   string    `json:"source" xorm:"not null default '' comment('来源；official：官方') VARCHAR(32)"`
	Data     string    `json:"data" xorm:"not null comment('设置数据源，json') TEXT"`
	CreateAt time.Time `json:"create_at" xorm:"default 'CURRENT_TIMESTAMP' TIMESTAMP"`
	UpdateAt time.Time `json:"update_at" xorm:"default 'CURRENT_TIMESTAMP' TIMESTAMP"`
}
