package model

import (
	"time"
)

type ProductCategory struct {
	Id       int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Pid      int       `json:"pid" xorm:"not null default 0 comment('分类父ID') INT(11)"`
	Uid      int       `json:"uid" xorm:"not null default 0 comment('操作人') INT(11)"`
	Pvd      string    `json:"pvd" xorm:"not null default '' comment('供应商名,,taobao,jd,pdd,vip,suning,kaola') VARCHAR(16)"`
	Name     string    `json:"name" xorm:"not null default '' comment('分类名称') VARCHAR(32)"`
	Img      string    `json:"img" xorm:"not null default '' comment('分类图片') VARCHAR(64)"`
	Sort     int       `json:"sort" xorm:"default 0 comment('序号') INT(5)"`
	IsUse    int       `json:"is_use" xorm:"not null default 1 comment('是否开启；1：开启；0：关闭') TINYINT(1)"`
	CreateAt time.Time `json:"create_at" xorm:"default 'CURRENT_TIMESTAMP' TIMESTAMP"`
	UpdateAt time.Time `json:"update_at" xorm:"default 'CURRENT_TIMESTAMP' TIMESTAMP"`
}

type ProductCategoryApp struct {
	Id   string `json:"id"`
	Pid  string `json:"pid"`
	Pvd  string `json:"pvd"`
	Name string `json:"name"`
}
