package model

type ShakeTicket struct {
	Id        int    `json:"id" xorm:"not null pk autoincr comment('主键') INT(11)"`
	Uid       int    `json:"uid" xorm:"not null comment('用户id') index INT(20)"`
	ItemId    string `json:"item_id" xorm:"comment('商品id') VARCHAR(50)"`
	IsCollect int    `json:"is_collect" xorm:"not null comment('是否收藏') INT(1)"`
	IsCoupons int    `json:"is_coupons" xorm:"not null comment('是否领券买') INT(1)"`
	IsShare   int    `json:"is_share" xorm:"not null comment('是否分享赚') INT(1)"`
	UserName  string `json:"user_name" xorm:"not null default '' comment('用户名') VARCHAR(50)"`
	AvatarUrl string `json:"avatar_url" xorm:"not null default '' comment('头像url') VARCHAR(2000)"`
}

type ShakeTicketApp struct {
	Id        int    `json:"id"`
	Uid       int    `json:"uid"`
	ItemId    string `json:"item_id"`
	IsCollect int    `json:"is_collect"`
	IsCoupons int    `json:"is_coupons"`
	IsShare   int    `json:"is_share"`
	UserName  string `json:"user_name"`
	AvatarUrl string `json:"avatar_url"`
	Content   string `json:"content"`
}
