package model

type SysFaq struct {
	Id       int    `json:"id" xorm:"not null pk autoincr INT(10)"`
	Pid      int    `json:"pid" xorm:"not null default 0 comment('父级ID') INT(11)"`
	Title    string `json:"title" xorm:"not null default '' comment('标题') VARCHAR(128)"`
	Icon     string `json:"icon" xorm:"not null default '' comment('图标') VARCHAR(2000)"`
	Content  string `json:"content" xorm:"not null comment('内容') TEXT"`
	Sort     int    `json:"sort,omitempty" xorm:"not null default 0 comment('排序,越大越前') INT(11)"`
	Platform string `json:"platform,omitempty" xorm:"not null default 'wx_applet' comment('平台,wx_applet,toutiao_applet,baidu_applet,tiktok_applet,wap,android,ios') VARCHAR(64)"`
	IsAll    int    `json:"is_all,omitempty" xorm:"not null default 1 comment('是否平台通用,0指定平台, 1所有平台') TINYINT(1)"`
	State    int    `json:"state,omitempty" xorm:"not null default 1 comment('0隐藏,1显示') TINYINT(1)"`
	CreateAt int    `json:"create_at" xorm:"not null default 0 comment('创建时间') INT(10)"`
}
