package model

type SysFeedback struct {
	Id          int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Pid         int    `json:"pid" xorm:"not null default 0 comment('父ID') index INT(10)"`
	Uid         int    `json:"uid" xorm:"not null default 0 comment('0官方账号,>0为用户') index INT(10)"`
	Title       string `json:"title" xorm:"not null default '' comment('标题') VARCHAR(255)"`
	Content     string `json:"content" xorm:"not null default '' comment('内容') VARCHAR(2000)"`
	ImgList     string `json:"img_list" xorm:"not null default '' comment('上传图片地址') VARCHAR(2000)"`
	Type        int    `json:"type" xorm:"not null default 0 comment('0功能异常,1优化建议,2其它') TINYINT(1)"`
	Platform    string `json:"platform" xorm:"not null default 'wx_applet' comment('平台,wx_applet,toutiao_applet,baidu_applet,tiktok_applet,wap,android,ios') VARCHAR(64)"`
	AppVersion  string `json:"app_version" xorm:"not null default '' comment('应用版本') VARCHAR(32)"`
	OsVersion   string `json:"os_version" xorm:"not null default '' comment('系统版本') VARCHAR(128)"`
	DeviceId    string `json:"device_id" xorm:"not null default '' comment('设备唯一ID') VARCHAR(128)"`
	DeviceModel string `json:"device_model" xorm:"not null default '' comment('设备型号,如:iPhone 11') VARCHAR(64)"`
	Solution    string `json:"solution" xorm:"not null default '' comment('分辨率') VARCHAR(32)"`
	Ip          string `json:"ip" xorm:"not null default '' comment('IP地址') VARCHAR(32)"`
	State       int    `json:"state" xorm:"not null default 0 comment('0未解决,1已回复,2已解决') TINYINT(1)"`
	CreateAt    int    `json:"create_at" xorm:"not null default 0 comment('创建时间') INT(10)"`
	UpdateAt    int    `json:"update_at" xorm:"not null default 0 comment('更新时间') TINYINT(3)"`
}
