package model

type UserAddress struct {
	Id           int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid          int    `json:"uid" xorm:"comment('用户id') index INT(11)"`
	ProvinceId   string `json:"province_id" xorm:"VARCHAR(12)"`
	CityId       string `json:"city_id" xorm:"VARCHAR(12)"`
	CountyId     string `json:"county_id" xorm:"VARCHAR(12)"`
	ProvinceName string `json:"province_name" xorm:"VARCHAR(12)"`
	CityName     string `json:"city_name" xorm:"VARCHAR(64)"`
	CountyName   string `json:"county_name" xorm:"VARCHAR(64)"`
	Detail       string `json:"detail" xorm:"VARCHAR(64)"`
	Tag          string `json:"tag" xorm:"comment('地址标签') VARCHAR(255)"`
	PostCode     string `json:"post_code" xorm:"comment('邮编') VARCHAR(255)"`
	Phone        string `json:"phone" xorm:"comment('手机号') VARCHAR(20)"`
	Receiver     string `json:"receiver" xorm:"comment('收货人') VARCHAR(255)"`
	IsDefault    int    `json:"is_default" xorm:"not null default 0 comment('是否为默认') TINYINT(1)"`
}
