package model

import (
	"time"
)

type UserFootMark struct {
	Id        int64     `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid       int       `json:"uid" xorm:"not null default 0 comment('用户ID') index INT(11)"`
	Provider  string    `json:"provider" xorm:"not null default '' comment('供应商') VARCHAR(8)"`
	ItemId    string    `json:"item_id" xorm:"default '' comment('商品ID') VARCHAR(100)"`
	ItemTitle string    `json:"item_title" xorm:"not null default '' comment('商品标题') VARCHAR(255)"`
	ItemData  string    `json:"item_data" xorm:"not null comment('商品数据') TEXT"`
	CreateAt  time.Time `json:"create_at" xorm:"default 'CURRENT_TIMESTAMP' TIMESTAMP"`
	UpdateAt  time.Time `json:"update_at" xorm:"default 'CURRENT_TIMESTAMP' TIMESTAMP"`
}
