package model

import (
	"time"
)

type UserLevelTask struct {
	Id              int       `json:"id" xorm:"not null pk autoincr comment('主键id') INT(11)"`
	LevelId         int       `json:"level_id" xorm:"not null default 0 comment('等级id') INT(11)"`
	IsMustTask      int       `json:"is_must_task" xorm:"not null default 0 comment('是否必做(0,1)') TINYINT(1)"`
	TaskType        int       `json:"task_type" xorm:"not null default 0 comment('1:累计自购订单总数,2:累计到账佣金,3:累计直推粉丝数量,4:累计团队有效直推人数,5:累计团队符合相应等级的人数,6:付费升级') TINYINT(2)"`
	TaskTypeLevelId int       `json:"task_type_level_id" xorm:"not null default 0 comment('task_type=5时生效，表示等级id') INT(10)"`
	WithinDays      int       `json:"within_days" xorm:"not null default 0 comment('多少天内完成') INT(11)"`
	FinishCount     string    `json:"finish_count" xorm:"not null default '' comment('多少天内完成的指标数') VARCHAR(11)"`
	PayLevels       string    `json:"pay_levels" xorm:"not null default '' comment('一个json:[1,2,3,4] 表示开启月季年永久') VARCHAR(255)"`
	CreateAt        time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
	UpdateAt        time.Time `json:"update_at" xorm:"default CURRENT_TIMESTAMP comment('更新时间') TIMESTAMP"`
}
