package model

import (
	"time"
)

type UserNotice struct {
	Id             int       `json:"id" xorm:"not null pk autoincr comment('id') INT(22)"`
	Sender         int       `json:"sender" xorm:"not null default 0 comment('发送者用户id,0为系统发出') INT(11)"`
	Receiver       int       `json:"receiver" xorm:"not null default 0 comment('接受用户id,0为全部接受') INT(11)"`
	Type           int       `json:"type" xorm:"not null default 0 comment('0官方活动,1官方通知,2交易通知,3推广通知,4反馈通知') TINYINT(1)"`
	MainPreview    string    `json:"main_preview" xorm:"not null default '' comment('主页预览') VARCHAR(255)"`
	Title          string    `json:"title" xorm:"not null default '' comment('通知标题') VARCHAR(255)"`
	Subtitle       string    `json:"subtitle" xorm:"not null default '' comment('通知子标题') VARCHAR(255)"`
	Img            string    `json:"img" xorm:"not null default '' comment('消息图') VARCHAR(255)"`
	Body           string    `json:"body" xorm:"comment('消息体') TEXT"`
	Oid            int64     `json:"oid" xorm:"not null default 0 comment('订单id') BIGINT(20)"`
	Fid            int64     `json:"fid" xorm:"not null default 0 comment('流水单id') BIGINT(20)"`
	Url            string    `json:"url" xorm:"not null default '' comment('跳转url') VARCHAR(255)"`
	SkipIdentifier string    `json:"skip_identifier" xorm:"not null default '' comment('跳转标识') VARCHAR(20)"`
	Status         int       `json:"status" xorm:"not null default 0 comment('0未读,1已读') TINYINT(1)"`
	CreateAt       time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
}
