package md

// LvUser 分佣返回结果
type LvUser struct {
	Uid         int // 用户ID
	Lv          int // 等级
	NewLv       int // 升级后等级 针对会员费分佣
	LevelWeight int // 权重

	Profit         float64 // 利润
	SubsidyFee     float64 // 补贴
	ProfitList     []*VirtualCoinCommission
	SubsidyFeeList []*VirtualCoinCommission

	/*IntegralProfit       float64 // 积分利润
	IntegralSubsidyFee   float64 // 积分补贴
	BlockIconsProfit     float64 // 区块币利润
	BlockIconsSubsidyFee float64 // 区块币补贴*/

	OwnbuyReturnType int     //0有返利 1没有返利
	Diff             int     // 与当前用户级别差
	ParentUser       *LvUser // 父用户
}

// 虚拟币分佣结构体
type VirtualCoinCommission struct {
	Cid string  `json:"cid"` // 虚拟币id
	Val float64 `json:"val"` // 数量
}

// CommissionReq 分佣请求结构体
type CommissionReq struct {
	CommissionParam  CommissionParam `json:"commission_param"`
	Uid              string          `json:"uid"`                 // 用户id
	IsShare          int             `json:"is_share"`            // 是否是分享
	Provider         string          `json:"provider"`            // 类型
	IsAllLevelReturn int             `json:"is_all_level_return"` // 是否返回所有层级
	GoodsId          string          `json:"goods_id,omitempty"`  // 批量请求用于标记是哪个商品
	OldLv            string          `json:"old_lv"`
	NewLv            string          `json:"new_lv"`
}

type CommissionParam struct {
	Commission string `json:"commission"` // 总佣金
}
