package md

const (
	CALLBACK_URL     = "%s/api/v1/mall/pay/callback?master_id=%s&order_type=%s&pay_method=%s"
	BALANCE_PAY      = "balance_pay"
	ALIPAY           = "alipay"
	WX_PAY           = "wxpay"
	SecKillStockLock = "%s:mall_sec:%s:%s" // 秒杀库存锁Redis Key
)

//订单类型：1普通订单 2拼团订单 3秒杀 4超级拼团
const (
	ORDINARY_ORDER_TYPE        = 1
	GROUP_BUY_ORDER_TYPE       = 2
	SEC_KILL_ORDER_TYPE        = 3
	SUPER_GROUP_BUY_ORDER_TYPE = 4
)

//团购购买方式 `open_group_buy_type` : 开团购买 , `add_group_buy_type` : `参团购买`
const (
	OPEN_GROUP_BUY_TYPE = "open_group_buy_type"
	ADD_GROUP_BUY_TYPE  = "add_group_buy_type"
)

const MallSecondsKillBuy = "mall_seconds_kill_buy"              //秒杀活动
const MallGroupBuyActivity = "mall_group_buy"                   //团购活动
const MallBargainingBuyActivity = "mall_bargaining_buy"         //砍价活动
const SuperGroupActivity = "super_group_buy"                    // 超级拼团
const MallGoodsActivityVipGift = "mall_goods_activity_vip_gift" // 会员礼包

var CouponSpecialActivity = map[string]int{
	MallSecondsKillBuy:        2,
	MallGroupBuyActivity:      1,
	MallBargainingBuyActivity: 3,
	SuperGroupActivity:        4,
	MallGoodsActivityVipGift:  5,
}

// PayMethod 支付方式名称
var PayMethod = map[string]string{
	BALANCE_PAY: "余额支付",
	ALIPAY:      "支付宝支付",
	WX_PAY:      "微信支付",
}

// PayMethodIDs 支付方式ID
var PayMethodIDs = map[string]int{
	BALANCE_PAY: 1,
	ALIPAY:      2,
	WX_PAY:      3,
}

// MallGoods 支付类型
const (
	MallGoods       = "mall_goods"        // 直接提交订单支付（多种商品）
	MallGoodsSub    = "mall_goods_sub"    // 从待支付订单支付（一种商品）
	MallGroupBuy    = "mall_group_buy"    // 从拼团提交订单支付(一种商品)
	SuperGroupBuy   = "super_group_buy"   // 超级拼团提交（一种商品）
	MallSecondsKill = "mall_seconds_kill" // 从秒杀提交订单支付(一种商品)
)

// NeedPayPart 支付类型名称
var NeedPayPart = map[string]string{
	MallGoods:       "自营商城商品",
	MallGoodsSub:    "自营商城商品",
	MallGroupBuy:    "拼团购买商品",
	SuperGroupBuy:   "超级拼团购买商品",
	MallSecondsKill: "秒杀购买商品",
	ALIPAY:          "自营商城商品购物",
}
